- UID
- 1
- 积分
- 15891
- 精华
- 贡献
-
- 威望
-
- 活跃度
-
- D豆
-
- 在线时间
- 小时
- 注册时间
- 2002-1-3
- 最后登录
- 1970-1-1
|
发表于 2004-3-30 23:17:19
|
显示全部楼层
Re: [求助]:如何修改弧的坐标????
最初由 Gxiaofeng 发布
[B]如何修改弧的端点坐标?或者如何用已知的起始角和终止角求出已知的端点坐标? [/B]
如果过知道终止角和圆心,那么用:
[field=acutPolor 函数用法]acutPolar Global Function void
acutPolar(
const ads_point pt,
ads_real angle,
ads_real dist,
ads_point ptres);
pt The initial three-dimensional reference point
angle The angle of the resulting point from the initial point
dist The distance of the resulting point from the initial point
ptres The resulting three-dimensional point
Finds a point by means of polar coordinates.
Include File
acutads.h
[/field]
就可以求得端点坐标了。
如果你已经知道了终止角,那么直接用:
[field=联机帮助]AcDbArc::setEndAngle Function Acad::ErrorStatus
setEndAngle(
double unnamed);
unnamed Input the end angle (in radians) for the arc
This function sets endAngle as the end angle of the arc. endAngle must
be in radians. The angle is relative to the OCS X axis for the arc with
positive angles going counterclockwise when looking down the Z axis
towards the origin. The OCS X axis is determined by using the arc抯
normal, the WCS Z axis, and the arbitrary axis algorithm.
If the angle is provided with a negative value, the arc is still drawn
counterclockwise but measured in the reverse direction. For example, an
arc specified with 4.7124 radians (270 degrees) is the same as -1.5708 (-
90 degrees).
The end angle value is used for DXF group code 51.
Returns Acad::eOk if successful, or Acad::eInvalidInput if the data passed in is not acceptable.
[/field]
就可以修改圆弧了。 |
|